<!DOCTYPE html>
<html>

<body>

    <script>
        function calculate(a, b) {
            const add = a + b;
            const subtract = a - b;
            const multiply = a * b;
            const divide = a / b;

            return [add, subtract, multiply, divide];
        }

        const [add, subtract, multiply, divide] = calculate(14, 7);

        document.write("<p>Sum: " + add + "</p>");
        document.write("<p>Difference " + subtract + "</p>");
        document.write("<p>Product: " + multiply + "</p>");
        document.write("<p>Quotient " + divide + "</p>");

        const vehicleOne = {
            brand: 'Ford',
            model: 'Mustang',
            type: 'car',
            year: 2021,
            color: 'red'
        }
        myVehicle(vehicleOne);

        // old way
        function myVehicle(vehicle) {
            const message = 'My ' + vehicle.type + ' is a ' + vehicle.color + ' ' + vehicle.brand + ' ' + vehicle.model + '.';
            document.write("<p>" + message + "</p>");
        }
        // new way
        myVehicle1(vehicleOne);
        function myVehicle1({ type, color, brand, model }) {
            const message = 'My ' + type + ' is a ' + color + ' ' + brand + ' ' + model + '.';
            document.write("<p>" + message + "</p>");
        }

        const vehicleTwo = {
            brand: 'Ford',
            model: 'Mustang',
            type: 'car',
            year: 2021,
            color: 'red',
            registration: {
                city: 'Houston',
                state: 'Texas',
                country: 'USA'
            }
        }

        myVehicle2(vehicleTwo)

        function myVehicle2({ model, registration: { state } }) {
            const message = 'My ' + model + ' is registered in ' + state + '.';
            document.write("<p>" + message + "</p>");
        }
    </script>

</body>

</html>